Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.core.util
Interface TraceLevels

All Known Implementing Classes:
  TracerEvent

    public interface TraceLevels

Constants used by `Tracer`. The tracing levels were modeled on the Linux `syslog()` facility.

Version:
  $Id: TraceLevels.java,v 1.1.1.1 1999/10/05 15:34:32 damke Exp $
Author:
  Dirk Husemann (hud@zurich.ibm.com), Mike Wendler (mwendler@de.ibm.com)

Field Summary
`static int` | `ALERT` Action must be taken immediately
`static int` | `CRITICAL` Critical condition
`static int` | `DEBUG` Debugging information
`static int` | `EMERGENCY` System is unusable.
`static int` | `ERROR` Error condition
`static int` | `INFO` Informational
`static java.lang.String[]` | `levelAsString` trace levels as strings
`static int` | `LOWEST` lowest level (for internal use only)
`static int` | `NOTICE` Normal but significant condition
`static int` | `WARNING` Warning condition

Field Detail

### EMERGENCY

    static final int EMERGENCY

  System is unusable.

  See Also:
    Constant Field Values

### ALERT

    static final int ALERT

  Action must be taken immediately

  See Also:
    Constant Field Values

### CRITICAL

    static final int CRITICAL

  Critical condition

  See Also:
    Constant Field Values

### ERROR

    static final int ERROR

  Error condition

  See Also:
    Constant Field Values

### WARNING

    static final int WARNING

  Warning condition

  See Also:
    Constant Field Values

### NOTICE

    static final int NOTICE

  Normal but significant condition

  See Also:
    Constant Field Values

### INFO

    static final int INFO

  Informational

  See Also:
    Constant Field Values

### DEBUG

    static final int DEBUG

  Debugging information

  See Also:
    Constant Field Values

### LOWEST

    static final int LOWEST

  lowest level (for internal use only)

  See Also:
    Constant Field Values

### levelAsString

    static final java.lang.String[] levelAsString

  trace levels as strings

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD